
/* midi_out.c -- written by Istvan Varga, Apr 2002 */

#include <stdio.h>
#include <stdlib.h>
#include "midi_out.h"
#include "events.h"

FILE		*outfile = NULL;	/* output file			     */
char		*outfile_name = NULL;	/* output file name		     */

int		out_format = 0;		/* output format (0: 7bit, 1: 14bit) */
int		channel = 1;		/* MIDI channel (1 - 16)	     */
int		ctrl_X = 24;		/* controller X			     */
int		ctrl_Y = 25;		/* controller Y			     */
int		ctrl_X_val = -2;	/* controller X initial value	     */
int		ctrl_Y_val = -2;	/* controller Y initial value	     */

/* change current channel */

void	set_channel (int chn)
{
	channel = chn;
	if (channel < 1) channel = 1;
	if (channel > 16) channel = 16;
}

/* send control change */

void	send_control_change (int ctrl, int value)
{
	if (out_format) {
		putc (0xB0 + channel - 1, outfile);	/* 14 bit mode */
		putc (ctrl, outfile);
		putc ((value >> 7), outfile);	/* send MSB first */
		putc (0xB0 + channel - 1, outfile);
		putc (ctrl + 32, outfile);
		putc ((value & 127), outfile);	/* LSB */
	} else {
		putc (0xB0 + channel - 1, outfile);	/* 7 bit mode */
		putc (ctrl, outfile);
		putc (value, outfile);
	}
}

