
/* midi_out.h -- written by Istvan Varga, Apr 2002 */

#ifndef KEYBOARD_MIDI_OUT_H
#define KEYBOARD_MIDI_OUT_H

#include <stdio.h>

extern	FILE	*outfile;		/* output file			     */
extern	char	*outfile_name;		/* output file name		     */

extern	int	out_format;		/* output format (0: score, 1: MIDI) */
extern	int	off_vel;		/* note-off velocity		     */
extern	int	channel;		/* MIDI channel (1 - 16)	     */
extern	int	midi_program;		/* MIDI program number (1 - 128)     */

extern	void	clear_active_keys (void);	/* clear list of active keys */
extern	void	send_note_off (int);		/* send note-off message     */
extern	void	send_note_on (int, int);	/* send note-on message	     */
extern	void	all_notes_off (void);		/* turn off all active notes */
extern	void	set_channel (int);		/* change current channel    */
extern	void	send_program_change (int);	/* send program change	     */

#endif		/* KEYBOARD_MIDI_OUT_H */

